Subject: Re: [PATCH 2/2] pack-objects: rename the field "type" to "real_type"

From: Jeff King <[email-masked]>
Date: Wed, 8 Jul 2015 10:11:11 -0400

On Wed, Jul 08, 2015 at 08:57:35PM +0700, Duy Nguyen wrote:

> > The definition of in_pack_type says:
> >
> >>       enum object_type in_pack_type;  /* could be delta */
> >
> > so now I am confused about what exactly "type" (and now "real_type")
> > means.
> 
> I think we just overload "type" with "this delta is detected reusable
> already" in write_object(). It only means 'real type in the output
> pack' for canonical types. For generated deltas, we already know if
> it's ref-delta or ofs-delta, we don't rely on real_type

Ah. I think I'd be inclined to just leave it as "type" then.

-Peff